## imcode.server.document
Class CategoryDomainObject

    java.lang.Object
      imcode.server.document.CategoryDomainObject

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public class CategoryDomainObject

extends java.lang.Object
implements java.lang.Comparable, java.io.Serializable

Author:
  kreiger
See Also:
  Serialized Form

Constructor Summary
`CategoryDomainObject(int id, java.lang.String name, java.lang.String description, java.lang.String imageUrl, CategoryTypeDomainObject type)`

Method Summary
`int` `compareTo(java.lang.Object o)`
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getDescription()`
`int` `getId()`
`java.lang.String` `getImageUrl()`
`java.lang.String` `getName()`
`CategoryTypeDomainObject` `getType()`
`int` `hashCode()`
`void` `setDescription(java.lang.String description)`
`void` `setId(int id)`
`void` `setImageUrl(java.lang.String imageUrl)`
`void` `setName(java.lang.String name)`
`void` `setType(CategoryTypeDomainObject type)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CategoryDomainObject

    public CategoryDomainObject(int id,
                                java.lang.String name,
                                java.lang.String description,
                                java.lang.String imageUrl,
                                CategoryTypeDomainObject type)

Method Detail

### getName

    public java.lang.String getName()

### getId

    public int getId()

### getType

    public CategoryTypeDomainObject getType()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getDescription

    public java.lang.String getDescription()

### getImageUrl

    public java.lang.String getImageUrl()

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### setName

    public void setName(java.lang.String name)

### setDescription

    public void setDescription(java.lang.String description)

### setImageUrl

    public void setImageUrl(java.lang.String imageUrl)

### setType

    public void setType(CategoryTypeDomainObject type)

### setId

    public void setId(int id)